package vip.xiaonuo.write.service;

import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.write.entity.WriteCheck;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.write.param.WriteCheckAddParam;
import vip.xiaonuo.write.param.WriteCheckEditParam;
import vip.xiaonuo.write.param.WriteUnqualifiedEditParam;
import vip.xiaonuo.write.param.WriteUnqualifiedPageParam;

import java.util.Map;

/**
 * <p>
 * 检验记录发放收回台账 服务类
 * </p>
 *
 * @author author
 * @since 2025-01-08
 */
public interface IWriteCheckService extends IService<WriteCheck> {

    void add(WriteCheckAddParam addParam);

    void update(WriteCheckEditParam editParam);

    CommonResult page(WriteUnqualifiedPageParam pageParam);

    void delete(Map<String,String> paramsMap);
}
